(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    386994,       9333]
NotebookOptionsPosition[    385852,       9295]
NotebookOutlinePosition[    386261,       9313]
CellTagsIndexPosition[    386218,       9310]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 StyleBox[
  RowBox[{"Mammalian", " ", "Circadian", " ", "Clock", " ", "Model"}], 
  "Title"], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox["                           ", "Title"], "\t\t\t\t"}]], 
  StyleBox[
   RowBox[{"Jaekyoung", " ", "Kim", " ", "Daniel", " ", 
    RowBox[{"B", ".", " ", "Forger"}]}], "Subtitle"]}]}], "Input",
 CellChangeTimes->{{3.5316682093857937`*^9, 3.531668309925372*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Initial", " ", "Conditions"}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.5316661826047163`*^9, 3.5316661842246847`*^9}, 
   3.531668140470046*^9, {3.5432337253436193`*^9, 3.543233725715186*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Initial", " ", "Condition", " ", "for", " ", "the", " ", "multi"}], "-", 
    
    RowBox[{"state", " ", "variable", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", "]"}], "[", 
       "m", "]"}], "[", "n", "]"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Init1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.3420612363991834`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "8.179771245758342`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "50.57941320972072`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "3.084858510765489`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0985802410460628`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "1.3084555441370038`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "41.165766704888945`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.015608382491794207`", "}"}], ",", 
               RowBox[{"{", "8.720885301950966`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "46.57213430901654`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0031953005375601647`", "}"}], ",", 
               RowBox[{"{", "1.36799289498887`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.42289800101916825`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "1.0925402835728917`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0018172208474570813`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000051969832456607834`", "}"}], ",", 
               RowBox[{"{", "0.005122234469530184`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.1065745913827944`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0008330734700784042`", "}"}], ",", 
               RowBox[{"{", "0.0566635532527744`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0032917376286310976`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000014996030154730353`", "}"}], ",", 
               RowBox[{"{", "0.005431344430745013`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.08769094840691996`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0003337441556398164`", "}"}], ",", 
               RowBox[{"{", "0.05489271181066792`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0034854600146215606`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00001543121168014226`", "}"}], ",", 
               RowBox[{"{", "0.005104574272816484`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.09387578379334667`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0003536110985068703`", "}"}], ",", 
               RowBox[{"{", "0.053591842109765024`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.9143646209767509`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.6640388319296585`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.02261620526647949`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.024153127001179508`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}]}], "}"}]}], "}"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.003566426542717158`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000019446948491991687`", "}"}], ",", 
               RowBox[{"{", "0.0009593633157572193`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.25844220368442533`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0009853861095753967`", "}"}], ",", 
               RowBox[{"{", "0.024999109498991166`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0001571030498997009`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000011241988156917215`", "}"}], ",", 
               RowBox[{"{", "0.0013233693432189286`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.010591367829307969`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00023061993448538233`", "}"}], ",", 
               RowBox[{"{", "0.025310956921162836`", "}"}]}], "}"}]}], 
            "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.003906943572357614`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000013488201348952268`", "}"}], ",", 
               RowBox[{"{", "0.0008093091845965769`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.124712274740282`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0004168131259404268`", "}"}], ",", 
               RowBox[{"{", "0.014891880773138683`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00018883274230441384`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "1.7997916251845195`*^-6", "}"}], ",", 
               RowBox[{"{", "0.0010929293853399464`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.005847694864620672`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00004358370050515716`", "}"}], ",", 
               RowBox[{"{", "0.01661068549366629`", "}"}]}], "}"}]}], "}"}]}],
           "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0042845356189285195`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000014771592378319274`", "}"}], ",", 
               RowBox[{"{", "0.0008613198533091311`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.1376958595595994`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00045981124781785865`", "}"}], ",", 
               RowBox[{"{", "0.01603487525209985`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00020679957949088886`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "1.9401844427852306`*^-6", "}"}], ",", 
               RowBox[{"{", "0.0011515995567390796`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.006446263165149906`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00004763488605319544`", "}"}], ",", 
               RowBox[{"{", "0.01770213916985296`", "}"}]}], "}"}]}], "}"}]}],
           "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.005698064997206092`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00019083191864807688`", "}"}], ",", 
               RowBox[{"{", "0.05668344375489035`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.028756909151433502`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00041383171976532257`", "}"}], ",", 
               RowBox[{"{", "0.04946506549670688`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0041450474340475356`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0003862225731469661`", "}"}], ",", 
               RowBox[{"{", "0.12446417224048362`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0074079613548572055`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0006543776273979713`", "}"}], ",", 
               RowBox[{"{", "0.10408853180005757`", "}"}]}], "}"}]}], "}"}]}],
           "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.006669740144184649`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00002542209112423298`", "}"}], ",", 
               RowBox[{"{", "0.004845243944628116`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0828541248216783`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0002945640707027717`", "}"}], ",", 
               RowBox[{"{", "0.032357261166932494`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0012141988050762562`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000011508013921347713`", "}"}], ",", 
               RowBox[{"{", "0.009768583317773775`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.008747399124363007`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00007984935519557792`", "}"}], ",", 
               RowBox[{"{", "0.06078778560702874`", "}"}]}], "}"}]}], "}"}]}],
           "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.007063852050803612`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00002642920327460206`", "}"}], ",", 
               RowBox[{"{", "0.004422509243751679`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.08527034138444498`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00030090634602644245`", "}"}], ",", 
               RowBox[{"{", "0.030114250838098423`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0013264050530040427`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000011249707819832738`", "}"}], ",", 
               RowBox[{"{", "0.00878990944810083`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.009150500594118106`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00007786053056329725`", "}"}], ",", 
               RowBox[{"{", "0.05558596503417361`", "}"}]}], "}"}]}], "}"}]}],
           "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0007928248680611883`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000025780353419672163`", "}"}], ",", 
               RowBox[{"{", "0.0033458239867342923`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0274124885839697`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00038549841376936617`", "}"}], ",", 
               RowBox[{"{", "0.05899370416043617`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0001255123171657433`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00004997690057380442`", "}"}], ",", 
               RowBox[{"{", "0.007351856000655174`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.005502328645107724`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0006319867772882921`", "}"}], ",", 
               RowBox[{"{", "0.12768021452441894`", "}"}]}], "}"}]}], "}"}]}],
           "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0025210125949368953`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.000010077905400078566`", "}"}], ",", 
               RowBox[{"{", "0.0024810297377193245`", "}"}]}], "}"}]}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.05812325888303372`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00020742923534716493`", "}"}], ",", 
               RowBox[{"{", "0.023913749818730998`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00030530718232012633`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "4.902173374599667`*^-6", "}"}], ",", 
               RowBox[{"{", "0.005219487814016039`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.007539434826295608`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00006395851528373895`", "}"}], ",", 
               RowBox[{"{", "0.04714353907964912`", "}"}]}], "}"}]}], "}"}]}],
           "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0025977211835363366`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00001017089395981654`", "}"}], ",", 
               RowBox[{"{", "0.002248072566075126`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.060247906870995155`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00021344857807776635`", "}"}], ",", 
               RowBox[{"{", "0.022578312737100606`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.0003200670130454894`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "4.603722758559816`*^-6", "}"}], ",", 
               RowBox[{"{", "0.004701002286841585`", "}"}]}], "}"}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.007971833585551605`", "}"}], ",", 
               RowBox[{"{", "0.`", "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", "0.00006352606272272561`", "}"}], ",", 
               RowBox[{"{", "0.04407940585392828`", "}"}]}], "}"}]}], "}"}]}],
           "}"}]}], "}"}]}], "}"}]}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "Initial", " ", "Condition", " ", "for", " ", "the", " ", "single"}], 
     "-", 
     RowBox[{"state", " ", "variable"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Init2", "=", 
     RowBox[{"{", 
      RowBox[{
      "0.21004770358705036`", ",", "0.7879547112081645`", ",", 
       "1.1383721663365372`", ",", "3.760854376307055`", ",", 
       "1.095465622771389`", ",", "12.37354665811613`", ",", 
       "4.470535676137161`", ",", "4.189465465043962`", ",", 
       "0.5791077386453771`", ",", "8.349625799238817`", ",", 
       "1.4116789475658296`", ",", "35.184199298572295`", ",", 
       "8.56043138049844`", ",", "23.77410578150899`", ",", 
       "0.5893077833141493`", ",", "0.40424721668584945`", ",", 
       "48.09767559849965`", ",", "31.869023309234613`", ",", 
       "161.14372712932516`", ",", "123.95046120625604`", ",", 
       "467.84444843738225`", ",", "0.1932885142503498`", ",", 
       "58.23913168018502`", ",", "0.03971373557862615`", ",", 
       "19.06619007243528`", ",", "0.5999649539384736`", ",", 
       "0.39359004606153003`", ",", "0", ",", "0.11012045498612394`", ",", 
       "67.61745646537098`", ",", "0", ",", "0", ",", "6.5815025579914295`", 
       ",", "0.4162165798701546`", ",", "0.5585648324701572`", ",", "0.`", 
       ",", "0.25595982171319526`", ",", "0.5203673130406197`", ",", 
       "0.19388642676798773`", ",", "0.8044041532454284`"}], "}"}]}], ";"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.531651170310773*^9, 3.531651234319051*^9}, {
  3.5316660752579727`*^9, 3.53166608034619*^9}, {3.5316661801568747`*^9, 
  3.531666216016047*^9}}],

Cell[BoxData[
 StyleBox["Parameters", "Subtitle"]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Transcription", " ", "Rate"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"trPo", "=", "25.9201"}], ";", 
    RowBox[{"trPt", "=", "44.854`"}], ";", 
    RowBox[{"trRo", "=", "23.0747`"}], ";", 
    RowBox[{"trRt", "=", "39.9409`"}], ";", 
    RowBox[{"trB", "=", "46.1038`"}], ";", 
    RowBox[{"trRev", "=", "102.92299999999999`"}], ";", 
    RowBox[{"trNp", "=", "0.3297485941817571`"}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"Translation", " ", "Rate"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tlp", "=", "1.81031"}], ";", 
    RowBox[{"tlr", "=", "5.03882"}], ";", 
    RowBox[{"tlb", "=", "0.530436"}], ";", 
    RowBox[{"tlrev", "=", "8.90744"}], ";", 
    RowBox[{"tlc", "=", "4.645890"}], ";", 
    RowBox[{"tlnp", "=", "1.25099"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Binding", "/", "Unbinding"}], " ", "Rate", " ", "between", " ", 
     "Proteins"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"agp", "=", "1.3962`"}], ";", 
    RowBox[{"dg", "=", "2.93521`"}], ";", 
    RowBox[{"ac", "=", "0.0456572`"}], ";", 
    RowBox[{"dc", "=", "0.108072`"}], ";", 
    RowBox[{"ar", "=", "0.0235285`"}], ";", 
    RowBox[{"dr", "=", "0.605268`"}], ";", 
    RowBox[{"cbin", "=", "0.0454894`"}], ";", 
    RowBox[{"uncbin", "=", "7.27215`"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bbin", "=", "6.92686`"}], ";", 
    RowBox[{"unbbin", "=", "0.130196`"}], ";", 
    RowBox[{"cbbin", "=", "6.59924`"}], ";", 
    RowBox[{"uncbbin", "=", "0.304176`"}], ";", 
    RowBox[{"ag", "=", "0.162392"}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Binding", "/", "Unbinding"}], " ", "Rate", " ", "on", " ", 
     "Promoters"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bin", "=", "6.97166`"}], ";", 
    RowBox[{"unbin", "=", "0.255032`"}], ";", 
    RowBox[{"binrev", "=", "0.0120525`"}], ";", 
    RowBox[{"unbinrev", "=", "10.9741`"}], ";", 
    RowBox[{"binr", "=", "6.15445`"}], ";", 
    RowBox[{"unbinr", "=", "2.91009`"}], ";", 
    RowBox[{"binc", "=", "0.280863`"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"unbinc", "=", "0.00886752`"}], ";", 
    RowBox[{"binrevb", "=", "0.00626588`"}], ";", 
    RowBox[{"unbinrevb", "=", "5.30559`"}], ";"}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Translocation", " ", "Rate"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmc", "=", "0.16426`"}], ";", 
    RowBox[{"tmcrev", "=", "9.2631`"}], ";", 
    RowBox[{"nl", "=", "0.643086`"}], ";", 
    RowBox[{"ne", "=", "0.0269078`"}], ";", 
    RowBox[{"nlrev", "=", "9.63702`"}], ";", 
    RowBox[{"nerev", "=", "0.0152514`"}], ";", 
    RowBox[{"lne", "=", "0.594609`"}], ";", 
    RowBox[{"nlbc", "=", "5.26501`"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"Phosphorylation", " ", "Rate"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"hoo", "=", "0.527453`"}], ";", 
    RowBox[{"hto", "=", "2.45584`"}], ";", 
    RowBox[{"phos", "=", "0.291429`"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"Light", " ", "Effet"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"lono", "=", "0.205813"}], ";", 
    RowBox[{"lont", "=", "0.396392"}], ";", 
    RowBox[{"lta", "=", 
     RowBox[{"0.693695`", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"500", "/", "9500"}], ")"}], "^", "0.0451246`"}]}]}], ";", 
    RowBox[{"ltb", "=", "0.013"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"GSK3b", " ", "Activity"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"trgto", "=", "0.644602`"}], ";", 
    RowBox[{"ugto", "=", "0.0625777`"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Ratio", " ", "beteeen", " ", "Cytoplasm", " ", "and", " ", "Nucleus"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Nf", "=", "3.35063`"}], ";"}], "\n", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Degradation", " ", "Rate"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"up", "=", "3.537`"}], ";", 
    RowBox[{"uro", "=", "0.17491`"}], ";", 
    RowBox[{"urt", "=", "0.481895`"}], ";", 
    RowBox[{"umNp", "=", "0.369493`"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"umPo", "=", "0.76696222`"}], ";", 
    RowBox[{"umPt", "=", "0.58891980`"}], ";", 
    RowBox[{"umRo", "=", "0.40342526000000006`"}], ";", 
    RowBox[{"umRt", "=", "0.45554418`"}], ";", 
    RowBox[{"ub", "=", "0.018800209999999998`"}], ";", 
    RowBox[{"uc", "=", "0.025165115999999998`"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ubc", "=", "0.34882936000000003`"}], ";", 
    RowBox[{"upu", "=", "0.0700322`"}], ";", 
    RowBox[{"urev", "=", "1.6487614725107194`"}], ";", 
    RowBox[{"uprev", "=", "0.5173026723236928`"}], ";", 
    RowBox[{"umB", "=", "0.7954019999999999`"}], ";", 
    RowBox[{"umRev", "=", "1.510194`"}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.531651259026125*^9, 3.531651327976585*^9}, {
   3.531651413810953*^9, 3.5316514593928833`*^9}, {3.53165374463516*^9, 
   3.531653834641397*^9}, {3.531665800410345*^9, 3.531665807570601*^9}, {
   3.531666199574057*^9, 3.5316662017200727`*^9}, {3.5317563239298353`*^9, 
   3.5317563737710238`*^9}, 3.5317564118872766`*^9, {3.5317564435289507`*^9, 
   3.5317564444561462`*^9}, {3.5317564868701363`*^9, 
   3.5317565653516693`*^9}, {3.531756636041912*^9, 3.5317567285527697`*^9}, {
   3.531756763763942*^9, 3.531756818827443*^9}, {3.531756849295059*^9, 
   3.531757052424533*^9}, 3.5317571088552113`*^9, {3.531757142393559*^9, 
   3.5317572371568604`*^9}, {3.531761778140252*^9, 3.531761793850124*^9}, {
   3.5317619705618467`*^9, 3.531761977455779*^9}, {3.5317650226729937`*^9, 
   3.531765027603498*^9}, {3.531765156750782*^9, 3.531765158693611*^9}, 
   3.531939801248106*^9, {3.531952936081143*^9, 3.531952983816248*^9}, {
   3.531953031305662*^9, 3.531953037249586*^9}, 3.5547368122377367`*^9, {
   3.5547368635713987`*^9, 3.554736877699341*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Equations", " "}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.531666126996792*^9, 3.531666165552907*^9}, {
  3.5316673330233717`*^9, 3.531667337665584*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Equstions", " ", "for", " ", "single"}], "-", 
     RowBox[{"state", " ", "variables"}]}], "*)"}],
   FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"aone", "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"E", "-", 
        RowBox[{"box", " ", "activity"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"GR", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"bin", "*", 
          RowBox[{"(", 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                 "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], ")"}], "*", 
          
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"G", "[", "t", "]"}], "-", 
            RowBox[{"GR", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"unbin", "*", 
          RowBox[{"GR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"G", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"bin", "*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", "]"}],
              "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"G", "[", "t", "]"}], "-", 
            RowBox[{"GR", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"unbin", "*", 
          RowBox[{"G", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"GrR", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"binr", "*", 
          RowBox[{"(", 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                 "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], ")"}], "*", 
          
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"Gr", "[", "t", "]"}], "-", 
            RowBox[{"GrR", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"unbinr", "*", 
          RowBox[{"GrR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Gr", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"binr", "*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", "]"}],
              "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"Gr", "[", "t", "]"}], "-", 
            RowBox[{"GrR", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"unbinr", "*", 
          RowBox[{"Gr", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"GcR", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"binc", "*", 
          RowBox[{"(", 
           RowBox[{"Sum", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                 "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], ")"}], "*", 
          
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"Gc", "[", "t", "]"}], "-", 
            RowBox[{"GcR", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"unbinc", "*", 
          RowBox[{"GcR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Gc", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"binc", "*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", "]"}],
              "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"Gc", "[", "t", "]"}], "-", 
            RowBox[{"GcR", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"unbinc", "*", 
          RowBox[{"Gc", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"RORE", " ", "activity"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"GBR", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"binrev", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"revn", "[", "t", "]"}], "+", 
            RowBox[{"revng", "[", "t", "]"}], "+", 
            RowBox[{"revngp", "[", "t", "]"}], "+", 
            RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
          RowBox[{"GB", "[", "t", "]"}]}], "-", 
         RowBox[{"unbinrev", "*", 
          RowBox[{"GBR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"GB", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "binrev"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"revn", "[", "t", "]"}], "+", 
            RowBox[{"revng", "[", "t", "]"}], "+", 
            RowBox[{"revngp", "[", "t", "]"}], "+", 
            RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
          RowBox[{"GB", "[", "t", "]"}]}], "+", 
         RowBox[{"unbinrev", "*", 
          RowBox[{"GBR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"GBRb", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"binrevb", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"revn", "[", "t", "]"}], "+", 
            RowBox[{"revng", "[", "t", "]"}], "+", 
            RowBox[{"revngp", "[", "t", "]"}], "+", 
            RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
          RowBox[{"GBb", "[", "t", "]"}]}], "-", 
         RowBox[{"unbinrevb", "*", 
          RowBox[{"GBRb", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"GBb", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "binrevb"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"revn", "[", "t", "]"}], "+", 
            RowBox[{"revng", "[", "t", "]"}], "+", 
            RowBox[{"revngp", "[", "t", "]"}], "+", 
            RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
          RowBox[{"GBb", "[", "t", "]"}]}], "+", 
         RowBox[{"unbinrevb", "*", 
          RowBox[{"GBRb", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", "Transcription", "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"MnPo", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trPo", "*", 
          RowBox[{"G", "[", "t", "]"}]}], "-", 
         RowBox[{"tmc", "*", 
          RowBox[{"MnPo", "[", "t", "]"}]}], "-", 
         RowBox[{"umPo", "*", 
          RowBox[{"MnPo", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"McPo", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmc", "*", 
          RowBox[{"MnPo", "[", "t", "]"}]}], "-", 
         RowBox[{"umPo", "*", 
          RowBox[{"McPo", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"MnPt", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trPt", "*", 
          RowBox[{"G", "[", "t", "]"}]}], "-", 
         RowBox[{"tmc", "*", 
          RowBox[{"MnPt", "[", "t", "]"}]}], "-", 
         RowBox[{"umPt", "*", 
          RowBox[{"MnPt", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"McPt", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmc", "*", 
          RowBox[{"MnPt", "[", "t", "]"}]}], "-", 
         RowBox[{"umPt", "*", 
          RowBox[{"McPt", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"MnRt", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trRt", "*", 
          RowBox[{"Gc", "[", "t", "]"}]}], "-", 
         RowBox[{"tmc", "*", 
          RowBox[{"MnRt", "[", "t", "]"}]}], "-", 
         RowBox[{"umRt", "*", 
          RowBox[{"MnRt", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"McRt", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmc", "*", 
          RowBox[{"MnRt", "[", "t", "]"}]}], "-", 
         RowBox[{"umRt", "*", 
          RowBox[{"McRt", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"MnRev", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trRev", "*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", "]"}],
              "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
          RowBox[{"Gr", "[", "t", "]"}]}], "-", 
         RowBox[{"tmcrev", "*", 
          RowBox[{"MnRev", "[", "t", "]"}]}], "-", 
         RowBox[{"umRev", "*", 
          RowBox[{"MnRev", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{
         RowBox[{"McRev", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmcrev", "*", 
          RowBox[{"MnRev", "[", "t", "]"}]}], "-", 
         RowBox[{"umRev", "*", 
          RowBox[{"McRev", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{
         RowBox[{"MnRo", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trRo", "*", 
          RowBox[{"G", "[", "t", "]"}], "*", 
          RowBox[{"GB", "[", "t", "]"}]}], "-", 
         RowBox[{"tmc", "*", 
          RowBox[{"MnRo", "[", "t", "]"}]}], "-", 
         RowBox[{"umRo", "*", 
          RowBox[{"MnRo", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"McRo", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmc", "*", 
          RowBox[{"MnRo", "[", "t", "]"}]}], "-", 
         RowBox[{"umRo", "*", 
          RowBox[{"McRo", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"MnB", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trB", "*", 
          RowBox[{"GBb", "[", "t", "]"}]}], "-", 
         RowBox[{"tmc", "*", 
          RowBox[{"MnB", "[", "t", "]"}]}], "-", 
         RowBox[{"umB", "*", 
          RowBox[{"MnB", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"McB", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmc", "*", 
          RowBox[{"MnB", "[", "t", "]"}]}], "-", 
         RowBox[{"umB", "*", 
          RowBox[{"McB", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"MnNp", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trNp", "*", 
          RowBox[{"GB", "[", "t", "]"}]}], "-", 
         RowBox[{"tmc", "*", 
          RowBox[{"MnNp", "[", "t", "]"}]}], "-", 
         RowBox[{"umNp", "*", 
          RowBox[{"MnNp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"McNp", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tmc", "*", 
          RowBox[{"MnNp", "[", "t", "]"}]}], "-", 
         RowBox[{"umNp", "*", 
          RowBox[{"McNp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Secondary", " ", "Feedback", " ", "Loop"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"B", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tlb", "*", 
          RowBox[{"McB", "[", "t", "]"}]}], "-", 
         RowBox[{"cbin", "*", 
          RowBox[{"B", "[", "t", "]"}], "*", 
          RowBox[{"Cl", "[", "t", "]"}]}], "+", 
         RowBox[{"uncbin", "*", 
          RowBox[{"BC", "[", "t", "]"}]}], "-", 
         RowBox[{"ub", "*", 
          RowBox[{"B", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Cl", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tlnp", "*", 
          RowBox[{"McNp", "[", "t", "]"}]}], "+", "tlc", "-", 
         RowBox[{"cbin", "*", 
          RowBox[{"B", "[", "t", "]"}], "*", 
          RowBox[{"Cl", "[", "t", "]"}]}], "+", 
         RowBox[{"uncbin", "*", 
          RowBox[{"BC", "[", "t", "]"}]}], "-", 
         RowBox[{"uc", "*", 
          RowBox[{"Cl", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"BC", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"cbin", "*", 
          RowBox[{"B", "[", "t", "]"}], "*", 
          RowBox[{"Cl", "[", "t", "]"}]}], "-", 
         RowBox[{"uncbin", "*", 
          RowBox[{"BC", "[", "t", "]"}]}], "-", 
         RowBox[{"phos", "*", 
          RowBox[{"BC", "[", "t", "]"}]}], "-", 
         RowBox[{"ubc", "*", 
          RowBox[{"BC", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"cyrev", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"tlrev", "*", 
          RowBox[{"McRev", "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"nlrev", "+", "urev"}], ")"}], "*", 
          RowBox[{"cyrev", "[", "t", "]"}]}], "-", 
         RowBox[{"ag", "*", 
          RowBox[{"cyrev", "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
               "]"}], "[", "0", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
           ")"}]}], "+", 
         RowBox[{"nerev", "*", 
          RowBox[{"revn", "[", "t", "]"}]}], "+", 
         RowBox[{"dg", "*", 
          RowBox[{"cyrevg", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"revn", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"nerev", "+", "urev"}], ")"}]}], "*", 
          RowBox[{"revn", "[", "t", "]"}]}], "-", 
         RowBox[{"ag", "*", "Nf", "*", 
          RowBox[{"revn", "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
               "]"}], "[", "1", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
           ")"}]}], "+", 
         RowBox[{"nlrev", "*", 
          RowBox[{"cyrev", "[", "t", "]"}]}], "+", 
         RowBox[{"dg", "*", 
          RowBox[{"(", 
           RowBox[{"revng", "[", "t", "]"}], ")"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"cyrevg", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"ag", "*", 
          RowBox[{"cyrev", "[", "t", "]"}], "*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", "]"}],
              "[", "0", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"dg", "+", 
            RowBox[{"gto", "[", "t", "]"}], "+", "urev", "+", "nlrev"}], 
           ")"}], "*", 
          RowBox[{"cyrevg", "[", "t", "]"}]}], "+", 
         RowBox[{"nerev", "*", 
          RowBox[{"revng", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"revng", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"ag", "*", "Nf", "*", 
          RowBox[{"revn", "[", "t", "]"}], "*", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", "]"}],
              "[", "1", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"dg", "+", 
            RowBox[{"gto", "[", "t", "]"}], "+", "urev", "+", "nerev"}], 
           ")"}], "*", 
          RowBox[{"revng", "[", "t", "]"}]}], "+", 
         RowBox[{"nlrev", "*", 
          RowBox[{"cyrevg", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"cyrevgp", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"gto", "[", "t", "]"}], "*", 
          RowBox[{"cyrevg", "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"dg", "+", "uprev", "+", "nlrev"}], ")"}], "*", 
          RowBox[{"cyrevgp", "[", "t", "]"}]}], "+", 
         RowBox[{"nerev", "*", 
          RowBox[{"revngp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"revngp", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"gto", "[", "t", "]"}], "*", 
          RowBox[{"revng", "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"dg", "+", "uprev", "+", "nerev"}], ")"}], "*", 
          RowBox[{"revngp", "[", "t", "]"}]}], "+", 
         RowBox[{"nlrev", "*", 
          RowBox[{"cyrevgp", "[", "t", "]"}]}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"cyrevp", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"dg", "*", 
          RowBox[{"(", 
           RowBox[{"cyrevgp", "[", "t", "]"}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"uprev", "+", "nlrev"}], ")"}], "*", 
          RowBox[{"cyrevp", "[", "t", "]"}]}], "+", 
         RowBox[{"nerev", "*", 
          RowBox[{"revnp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{
         RowBox[{"revnp", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"dg", "*", 
          RowBox[{"(", 
           RowBox[{"revngp", "[", "t", "]"}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"uprev", "+", "nerev"}], ")"}], "*", 
          RowBox[{"revnp", "[", "t", "]"}]}], "+", 
         RowBox[{"nlrev", "*", 
          RowBox[{"cyrevp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]",
        "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Activity", " ", "of", " ", "GSK3b"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"gto", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"trgto", "*", 
          RowBox[{"G", "[", "t", "]"}], "*", 
          RowBox[{"GB", "[", "t", "]"}]}], "-", 
         RowBox[{"ugto", "*", 
          RowBox[{"gto", "[", "t", "]"}]}]}]}]}], "}"}]}], ";"}], "\n", "\n", 
   
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Equstions", " ", "for", " ", "multi"}], "-", 
      RowBox[{"state", " ", "variables"}]}], "*)"}],
    FontColor->RGBColor[0, 1, 0]], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"atwo", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", "]"}],
              "[", "m", "]"}], "[", "n", "]"}], "'"}], "[", "t", "]"}], 
         "\[Equal]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", "Trnaslation", "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"tlp", "*", 
             RowBox[{"McPo", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "3"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"tlp", "*", 
             RowBox[{"McPt", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"tlr", "*", 
             RowBox[{"McRo", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"tlr", "*", 
             RowBox[{"McRt", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"PER", "-", 
            RowBox[{"CRY", " ", 
             RowBox[{"Binidng", "/", "Unbinidng"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ar"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dr", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "kk", "]"}], "[", "l", 
                    "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ar"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dr", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "k", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ar", "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "k", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "0", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dr", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ar"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dr", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "kk", "]"}], "[", "l", 
                    "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ar"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dr", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "k", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ar", "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "0", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "k", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dr", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ar"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dr", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "kk", "]"}], "[", "l", 
                    "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ar"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dr", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "k", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", 
                  RowBox[{"{", 
                   RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ar", "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "0", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "k", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dr", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"PER", "-", 
            RowBox[{"CKI", " ", 
             RowBox[{"Binidng", "/", "Unbinidng"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "0",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dc", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "l",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ac", "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "0",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dc", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "l",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ac", "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "3", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "2",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dc", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "3",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "3"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ac", "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "2", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "3", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ac"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "2",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"dc", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "3",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "3"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ac", "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "2", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"PER", "-", 
            RowBox[{"GSK3b", " ", 
             RowBox[{"Binidng", "/", "Unbinidng"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "0"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "1"}], ")"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], 
                "]"}]}], "*", "agp", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dg", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", 
                  RowBox[{"l", "+", "2"}], "]"}], "[", "m", "]"}], "[", "n", 
                "]"}], "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], 
                "]"}]}], "*", "agp", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"dg", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "2", ",", "3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}], 
              "*", "agp", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", 
                  RowBox[{"l", "-", "2"}], "]"}], "[", "m", "]"}], "[", "n", 
                "]"}], "[", "t", "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"dg", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"PER", "-", "BMAL1", "-", 
            RowBox[{
             RowBox[{"CLOCK", "/", "NPAS2"}], " ", 
             RowBox[{"Binding", "/", "Unbinding"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "bbin"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"unbbin", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "bbin"}], "*", "Nf", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"unbbin", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"bbin", "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"unbbin", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"CRY", "-", "BMAL1", "-", 
            RowBox[{
             RowBox[{"CLOCK", "/", "NPAS2"}], " ", 
             RowBox[{"Binding", "/", "Unbinding"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "cbbin"}], "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"uncbbin", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "cbbin"}], "*", "Nf", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"uncbbin", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"cbbin", "*", "Nf", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
              "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{"uncbbin", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"REV", "-", "ERBs", "-", 
            RowBox[{"GSK3b", " ", 
             RowBox[{"Binding", "/", "Unbinding"}]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ag"}], "*", 
              RowBox[{"cyrev", "[", "t", "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{
              RowBox[{"(", "dg", ")"}], "*", 
              RowBox[{"cyrevg", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"(", "dg", ")"}], "*", 
              RowBox[{"cyrevgp", "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
          
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ag"}], "*", "Nf", "*", 
              RowBox[{"revn", "[", "t", "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{
              RowBox[{"(", "dg", ")"}], "*", 
              RowBox[{"revng", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"(", "dg", ")"}], "*", 
              RowBox[{"revngp", "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "PER", " ", "Binding", " ", "Protiens", " ", "Subcellular", " ", 
            "Translocation"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "ne"}], "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}], 
               "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}], 
               "]"}], "*", "nl", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "0", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"ne", "*", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}], 
               "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "1", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "-", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}], 
               "]"}], "*", "nl", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"BMAL1", "-", 
            RowBox[{
             RowBox[{"CLOCK", "/", "NPAS2"}], " ", "Subcellular", " ", 
             "Translocation"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{"nlbc", "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "0", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "nlbc"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"Kinase", " ", "Subcellular", " ", "Translocation"}], 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "lne"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"lne", "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "1", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"PER", " ", "Phosphorylation", " ", "with", " ", "CKI"}], 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "1"}], ")"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "hoo"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "2"}], ")"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"+", "hoo"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "1", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "3"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "hto"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"hto", "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"j", "-", "1"}], "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "PER2", " ", "Phosphorylation", " ", "with", " ", "GSK3b"}], 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "3"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"gto", "[", "t", "]"}]}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"gto", "[", "t", "]"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"j", "-", "2"}], "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"BMAL", "-", 
            RowBox[{
             RowBox[{"CLCOK", "/", "NPAS2"}], " ", "Phosphorylation", " ", 
             "with", " ", "GSK3b"}]}], "*)"}], "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{"phos", "*", 
             RowBox[{"BC", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"CRY", " ", "Degradation"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "uro"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "urt"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "uro"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "urt"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"uro", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "1", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             "+", 
             RowBox[{"urt", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "2", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"PER", " ", "Degradation"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "1"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "3"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "5"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
                 RowBox[{"(", 
                  RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", "0", ",", 
                "1"}], "]"}]}], "*", "upu", "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
                 RowBox[{"(", 
                  RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", "0", ",", 
                "1"}], "]"}]}], "*", "up", "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"up", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "2", ",", "6", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"nn", ",", "0", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "1", ",", "3", ",", "2"}], "}"}]}], 
               "]"}]}], "+", 
             RowBox[{"upu", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "5", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"nn", ",", "0", ",", "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "1", ",", "3", ",", "2"}], "}"}]}], 
               "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"up", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "2", ",", "6", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "2", ",", "3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"upu", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                 "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "5", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "2", ",", "3"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"up", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "2", ",", "6", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
             RowBox[{"upu", "*", 
              RowBox[{"Sum", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                 ",", 
                RowBox[{"{", 
                 RowBox[{"jj", ",", "1", ",", "5", ",", "2"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",", 
            "0"}], "]"}], "+", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"BMAL1", "-", 
            RowBox[{
             RowBox[{"CLOCK", "/", "NPAS2"}], " ", "Degradation"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "ubc"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"-", "ubc"}], "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", ">", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{"ubc", "*", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}], 
            ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"REV", "-", 
            RowBox[{"ERBS", " ", "Degradation"}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"urev", "*", 
              RowBox[{"cyrevg", "[", "t", "]"}]}], "+", 
             RowBox[{"uprev", "*", 
              RowBox[{"cyrevgp", "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"urev", "*", 
              RowBox[{"revng", "[", "t", "]"}]}], "+", 
             RowBox[{"uprev", "*", 
              RowBox[{"revngp", "[", "t", "]"}]}]}], ",", "0"}], "]"}]}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.531666228613925*^9, 3.531666240348755*^9}, {
   3.531666366556016*^9, 3.53166652598601*^9}, {3.531756451735792*^9, 
   3.531756452170289*^9}, {3.531757243257128*^9, 3.531757247662985*^9}, 
   3.531761812052266*^9, {3.554736820279859*^9, 3.5547368212077427`*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Differential", " ", "Equations", " ", "Solver"}], 
  "Subtitle"]], "Input",
 CellChangeTimes->{{3.531667349123542*^9, 3.531667353841609*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"athree", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"G", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GR", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"gto", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnRo", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McRo", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "5", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnRt", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "6", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McRt", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "7", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnPo", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "8", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McPo", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "9", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnPt", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "10", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McPt", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "11", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnB", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "12", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McB", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "13", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"B", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "14", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GBb", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "15", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GBRb", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "16", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Cl", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "17", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnRev", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "18", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McRev", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "19", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"cyrev", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "20", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"revn", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "21", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"cyrevg", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "22", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"revng", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "23", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"cyrevgp", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "24", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"revngp", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "25", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GB", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "26", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GBR", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "27", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"cyrevp", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "29", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"revnp", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "30", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"BC", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "33", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Gr", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "34", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GrR", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "35", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"McNp", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "37", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"MnNp", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "38", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"Gc", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "39", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"GcR", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"Init2", "[", 
        RowBox[{"[", "40", "]"}], "]"}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"afour", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", "]"}], 
           "[", "m", "]"}], "[", "n", "]"}], "[", "0", "]"}], "\[Equal]", 
        RowBox[{"Init1", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"j", "+", "1"}], ",", 
           RowBox[{"k", "+", "1"}], ",", 
           RowBox[{"l", "+", "1"}], ",", 
           RowBox[{"m", "+", "1"}], ",", 
           RowBox[{"n", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"afive", "=", 
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "GR", ",", "G", ",", "MnRo", ",", "McRo", ",", "MnRt", ",", "McRt", 
        ",", "MnPo", ",", "McPo", ",", "MnPt", ",", "McPt", ",", "MnB", ",", 
        "McB", ",", "B", ",", "Cl", ",", "MnRev", ",", "McRev", ",", "cyrev", 
        ",", "revn", ",", "cyrevg", ",", "revng", ",", "cyrevgp", ",", 
        "revngp", ",", "cyrevp", ",", "revnp", ",", "GB", ",", "GBR", ",", 
        "BC", ",", "Gr", ",", "GrR", ",", "McNp", ",", "MnNp", ",", "Gc", ",",
         "GcR", ",", "GBb", ",", "GBRb", ",", "gto"}], "}"}], ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", "]"}], 
           "[", "m", "]"}], "[", "n", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}], "]"}]}],
    ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"qrt", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"aone", ",", "atwo", ",", "athree", ",", "afour"}], "]"}], ",", 
     "afive", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "240"}], "}"}], ",", 
     RowBox[{"MaxSteps", "\[Rule]", "100000"}], ",", 
     RowBox[{"MaxStepSize", "\[Rule]", "0.1"}]}], "]"}]}], 
  ";"}], "\n"}], "Input",
 CellChangeTimes->{
  3.531665960939348*^9, {3.531667361631373*^9, 3.531667361744876*^9}, {
   3.554763926048623*^9, 3.5547639287313337`*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Plot", " "}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.531667382146756*^9, 3.5316673862965193`*^9}, 
   3.531667564515546*^9, 3.543234511978154*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Per1", " ", "mRNA"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"MnPo", "[", "t", "]"}], "+", 
      RowBox[{"McPo", "[", "t", "]"}]}], "/.", "qrt"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "240"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.531665994861588*^9, 3.531666010059557*^9}, {
  3.531667366864613*^9, 3.531667407404858*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwU2nc81d8fB3B7JdmbbO699t6fF9l773FRaZiRQtkrKYqQSiqVkkJLoZSS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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0, 240}, {0., 14.26328774746261}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.531666007190894*^9, 3.5316660110442467`*^9}, 
   3.5316661051101313`*^9, {3.531667371100181*^9, 3.53166737123423*^9}, 
   3.531667407940873*^9, 3.531939843199534*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"PER1", " ", "Protein"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "ll", "]"}],
           "[", "mm", "]"}], "[", "nn", "]"}], "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"jj", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ll", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"mm", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}], "/.", "qrt"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "240"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.531667569119423*^9, 3.531667593252589*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwUmnc81f8Xx91r7z2yMu+9yN4jXkb23q51L0UkSZKVJEmSVCoZDfkiIVRS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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 2.},
  PlotRange->{{0, 240}, {1.9945847643551227`, 12.609320441384973`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.531667598198943*^9, 3.531939861749627*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"Simulation", " ", "under", " ", "12"}], ":", 
   RowBox[{"12", " ", 
    RowBox[{"Light", "/", "Dark"}], " ", "Cycle"}]}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.5316676252055817`*^9, 3.531667643116809*^9}, {
  3.5316676772941427`*^9, 3.5316676788686323`*^9}, {3.53166780219013*^9, 
  3.531667805493029*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Parameter", " ", "Adjustment"}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.531667687516108*^9, 3.531667690793791*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Strength", " ", "of", " ", "Light", 
    RowBox[{"(", "lx", ")"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ltI", "=", "500"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"lta", "=", 
     RowBox[{"0.693695`", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"ltI", "/", "9500"}], ")"}], "^", "0.0451246`"}]}]}], ";", 
    RowBox[{"ltb", "=", "0.013"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"The", " ", "number", " ", "of", " ", "days"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"days", "=", "20"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.531667697754142*^9, 3.5316677303276167`*^9}, {
  3.531667813819542*^9, 3.5316678296338873`*^9}, {3.5567302982635803`*^9, 
  3.556730305846232*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Equations", " ", "and", " ", "Solver"}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.531668186808025*^9, 3.531668194993371*^9}, {
  3.543234516776607*^9, 3.5432345169207163`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"jjj", "=", "1"}], ",", 
    RowBox[{"jjj", "<", 
     RowBox[{
      RowBox[{"2", "*", "days"}], "+", "1"}]}], ",", 
    RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"aone", "=", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"E", "-", 
         RowBox[{"box", " ", "activity"}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"GR", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"bin", "*", 
           RowBox[{"(", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                  "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"G", "[", "t", "]"}], "-", 
             RowBox[{"GR", "[", "t", "]"}]}], ")"}]}], "-", 
          RowBox[{"unbin", "*", 
           RowBox[{"GR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"G", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"bin", "*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
               "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
           
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"G", "[", "t", "]"}], "-", 
             RowBox[{"GR", "[", "t", "]"}]}], ")"}]}], "-", 
          RowBox[{"unbin", "*", 
           RowBox[{"G", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"GrR", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"binr", "*", 
           RowBox[{"(", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                  "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"Gr", "[", "t", "]"}], "-", 
             RowBox[{"GrR", "[", "t", "]"}]}], ")"}]}], "-", 
          RowBox[{"unbinr", "*", 
           RowBox[{"GrR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Gr", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"binr", "*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
               "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
           
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"Gr", "[", "t", "]"}], "-", 
             RowBox[{"GrR", "[", "t", "]"}]}], ")"}]}], "-", 
          RowBox[{"unbinr", "*", 
           RowBox[{"Gr", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"GcR", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"binc", "*", 
           RowBox[{"(", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                  "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"Gc", "[", "t", "]"}], "-", 
             RowBox[{"GcR", "[", "t", "]"}]}], ")"}]}], "-", 
          RowBox[{"unbinc", "*", 
           RowBox[{"GcR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Gc", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"binc", "*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
               "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
           
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"Gc", "[", "t", "]"}], "-", 
             RowBox[{"GcR", "[", "t", "]"}]}], ")"}]}], "-", 
          RowBox[{"unbinc", "*", 
           RowBox[{"Gc", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"RORE", " ", "activity"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"GBR", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"binrev", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"revn", "[", "t", "]"}], "+", 
             RowBox[{"revng", "[", "t", "]"}], "+", 
             RowBox[{"revngp", "[", "t", "]"}], "+", 
             RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
           RowBox[{"GB", "[", "t", "]"}]}], "-", 
          RowBox[{"unbinrev", "*", 
           RowBox[{"GBR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"GB", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "binrev"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"revn", "[", "t", "]"}], "+", 
             RowBox[{"revng", "[", "t", "]"}], "+", 
             RowBox[{"revngp", "[", "t", "]"}], "+", 
             RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
           RowBox[{"GB", "[", "t", "]"}]}], "+", 
          RowBox[{"unbinrev", "*", 
           RowBox[{"GBR", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"GBRb", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"binrevb", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"revn", "[", "t", "]"}], "+", 
             RowBox[{"revng", "[", "t", "]"}], "+", 
             RowBox[{"revngp", "[", "t", "]"}], "+", 
             RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
           RowBox[{"GBb", "[", "t", "]"}]}], "-", 
          RowBox[{"unbinrevb", "*", 
           RowBox[{"GBRb", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"GBb", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "binrevb"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"revn", "[", "t", "]"}], "+", 
             RowBox[{"revng", "[", "t", "]"}], "+", 
             RowBox[{"revngp", "[", "t", "]"}], "+", 
             RowBox[{"revnp", "[", "t", "]"}]}], ")"}], "*", 
           RowBox[{"GBb", "[", "t", "]"}]}], "+", 
          RowBox[{"unbinrevb", "*", 
           RowBox[{"GBRb", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", "Transcription", "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"MnPo", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trPo", "*", 
           RowBox[{"G", "[", "t", "]"}]}], "-", 
          RowBox[{"tmc", "*", 
           RowBox[{"MnPo", "[", "t", "]"}]}], "-", 
          RowBox[{"umPo", "*", 
           RowBox[{"MnPo", "[", "t", "]"}]}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{"jjj", ",", "2"}], "]"}], "\[Equal]", "1"}], ",", 
            RowBox[{"lono", "*", "19.9", "*", "lta", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ltn", "[", "t", "]"}]}], ")"}], "*", "trPo"}], ",", 
            "0"}], "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"McPo", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmc", "*", 
           RowBox[{"MnPo", "[", "t", "]"}]}], "-", 
          RowBox[{"umPo", "*", 
           RowBox[{"McPo", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"MnPt", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trPt", "*", 
           RowBox[{"G", "[", "t", "]"}]}], "-", 
          RowBox[{"tmc", "*", 
           RowBox[{"MnPt", "[", "t", "]"}]}], "-", 
          RowBox[{"umPt", "*", 
           RowBox[{"MnPt", "[", "t", "]"}]}], "+", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{"jjj", ",", "2"}], "]"}], "\[Equal]", "1"}], ",", 
            RowBox[{"lont", "*", "19.9", "*", "lta", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ltn", "[", "t", "]"}]}], ")"}], "*", "trPt"}], ",", 
            "0"}], "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"McPt", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmc", "*", 
           RowBox[{"MnPt", "[", "t", "]"}]}], "-", 
          RowBox[{"umPt", "*", 
           RowBox[{"McPt", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"MnRt", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trRt", "*", 
           RowBox[{"Gc", "[", "t", "]"}]}], "-", 
          RowBox[{"tmc", "*", 
           RowBox[{"MnRt", "[", "t", "]"}]}], "-", 
          RowBox[{"umRt", "*", 
           RowBox[{"MnRt", "[", "t", "]"}]}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"McRt", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmc", "*", 
           RowBox[{"MnRt", "[", "t", "]"}]}], "-", 
          RowBox[{"umRt", "*", 
           RowBox[{"McRt", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"MnRev", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trRev", "*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
               "]"}], "[", "1", "]"}], "[", "1", "]"}], "[", "t", "]"}], "*", 
           
           RowBox[{"Gr", "[", "t", "]"}]}], "-", 
          RowBox[{"tmcrev", "*", 
           RowBox[{"MnRev", "[", "t", "]"}]}], "-", 
          RowBox[{"umRev", "*", 
           RowBox[{"MnRev", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"McRev", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmcrev", "*", 
           RowBox[{"MnRev", "[", "t", "]"}]}], "-", 
          RowBox[{"umRev", "*", 
           RowBox[{"McRev", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"MnRo", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trRo", "*", 
           RowBox[{"G", "[", "t", "]"}], "*", 
           RowBox[{"GB", "[", "t", "]"}]}], "-", 
          RowBox[{"tmc", "*", 
           RowBox[{"MnRo", "[", "t", "]"}]}], "-", 
          RowBox[{"umRo", "*", 
           RowBox[{"MnRo", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"McRo", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmc", "*", 
           RowBox[{"MnRo", "[", "t", "]"}]}], "-", 
          RowBox[{"umRo", "*", 
           RowBox[{"McRo", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"MnB", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trB", "*", 
           RowBox[{"GBb", "[", "t", "]"}]}], "-", 
          RowBox[{"tmc", "*", 
           RowBox[{"MnB", "[", "t", "]"}]}], "-", 
          RowBox[{"umB", "*", 
           RowBox[{"MnB", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"McB", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmc", "*", 
           RowBox[{"MnB", "[", "t", "]"}]}], "-", 
          RowBox[{"umB", "*", 
           RowBox[{"McB", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"MnNp", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trNp", "*", 
           RowBox[{"GB", "[", "t", "]"}]}], "-", 
          RowBox[{"umNp", "*", 
           RowBox[{"MnNp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        
        RowBox[{
         RowBox[{
          RowBox[{"McNp", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tmc", "*", 
           RowBox[{"MnNp", "[", "t", "]"}]}], "-", 
          RowBox[{"umNp", "*", 
           RowBox[{"McNp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Secondary", " ", "Feedback", " ", "Loop"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"B", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tlb", "*", 
           RowBox[{"McB", "[", "t", "]"}]}], "-", 
          RowBox[{"cbin", "*", 
           RowBox[{"B", "[", "t", "]"}], "*", 
           RowBox[{"Cl", "[", "t", "]"}]}], "+", 
          RowBox[{"uncbin", "*", 
           RowBox[{"BC", "[", "t", "]"}]}], "-", 
          RowBox[{"ub", "*", 
           RowBox[{"B", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"Cl", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tlnp", "*", 
           RowBox[{"McNp", "[", "t", "]"}]}], "+", "tlc", "-", 
          RowBox[{"cbin", "*", 
           RowBox[{"B", "[", "t", "]"}], "*", 
           RowBox[{"Cl", "[", "t", "]"}]}], "+", 
          RowBox[{"uncbin", "*", 
           RowBox[{"BC", "[", "t", "]"}]}], "-", 
          RowBox[{"uc", "*", 
           RowBox[{"Cl", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"BC", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"cbin", "*", 
           RowBox[{"B", "[", "t", "]"}], "*", 
           RowBox[{"Cl", "[", "t", "]"}]}], "-", 
          RowBox[{"uncbin", "*", 
           RowBox[{"BC", "[", "t", "]"}]}], "-", 
          RowBox[{"phos", "*", 
           RowBox[{"BC", "[", "t", "]"}]}], "-", 
          RowBox[{"ubc", "*", 
           RowBox[{"BC", "[", "t", "]"}]}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"cyrev", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"tlrev", "*", 
           RowBox[{"McRev", "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"nlrev", "+", "urev"}], ")"}], "*", 
           RowBox[{"cyrev", "[", "t", "]"}]}], "-", 
          RowBox[{"ag", "*", 
           RowBox[{"cyrev", "[", "t", "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
                "]"}], "[", "0", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
            ")"}]}], "+", 
          RowBox[{"nerev", "*", 
           RowBox[{"revn", "[", "t", "]"}]}], "+", 
          RowBox[{"dg", "*", 
           RowBox[{"cyrevg", "[", "t", "]"}]}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"revn", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"nerev", "+", "urev"}], ")"}]}], "*", 
           RowBox[{"revn", "[", "t", "]"}]}], "-", 
          RowBox[{"ag", "*", "Nf", "*", 
           RowBox[{"revn", "[", "t", "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
                "]"}], "[", "1", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
            ")"}]}], "+", 
          RowBox[{"nlrev", "*", 
           RowBox[{"cyrev", "[", "t", "]"}]}], "+", 
          RowBox[{"dg", "*", 
           RowBox[{"(", 
            RowBox[{"revng", "[", "t", "]"}], ")"}]}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"cyrevg", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"ag", "*", 
           RowBox[{"cyrev", "[", "t", "]"}], "*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
               "]"}], "[", "0", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
          "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"dg", "+", 
             RowBox[{"gto", "[", "t", "]"}], "+", "urev", "+", "nlrev"}], 
            ")"}], "*", 
           RowBox[{"cyrevg", "[", "t", "]"}]}], "+", 
          RowBox[{"nerev", "*", 
           RowBox[{"revng", "[", "t", "]"}]}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"revng", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"ag", "*", "Nf", "*", 
           RowBox[{"revn", "[", "t", "]"}], "*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
               "]"}], "[", "1", "]"}], "[", "0", "]"}], "[", "t", "]"}]}], 
          "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"dg", "+", 
             RowBox[{"gto", "[", "t", "]"}], "+", "urev", "+", "nerev"}], 
            ")"}], "*", 
           RowBox[{"revng", "[", "t", "]"}]}], "+", 
          RowBox[{"nlrev", "*", 
           RowBox[{"cyrevg", "[", "t", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"cyrevgp", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"gto", "[", "t", "]"}], "*", 
           RowBox[{"cyrevg", "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"dg", "+", "uprev", "+", "nlrev"}], ")"}], "*", 
           RowBox[{"cyrevgp", "[", "t", "]"}]}], "+", 
          RowBox[{"nerev", "*", 
           RowBox[{"revngp", "[", "t", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"revngp", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"gto", "[", "t", "]"}], "*", 
           RowBox[{"revng", "[", "t", "]"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"dg", "+", "uprev", "+", "nerev"}], ")"}], "*", 
           RowBox[{"revngp", "[", "t", "]"}]}], "+", 
          RowBox[{"nlrev", "*", 
           RowBox[{"cyrevgp", "[", "t", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"cyrevp", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"dg", "*", 
           RowBox[{"(", 
            RowBox[{"cyrevgp", "[", "t", "]"}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"uprev", "+", "nlrev"}], ")"}], "*", 
           RowBox[{"cyrevp", "[", "t", "]"}]}], "+", 
          RowBox[{"nerev", "*", 
           RowBox[{"revnp", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"revnp", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"dg", "*", 
           RowBox[{"(", 
            RowBox[{"revngp", "[", "t", "]"}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"uprev", "+", "nerev"}], ")"}], "*", 
           RowBox[{"revnp", "[", "t", "]"}]}], "+", 
          RowBox[{"nlrev", "*", 
           RowBox[{"cyrevp", "[", "t", "]"}]}]}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Activity", " ", "of", " ", "GSK3b"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"gto", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"trgto", "*", 
           RowBox[{"G", "[", "t", "]"}], "*", 
           RowBox[{"GB", "[", "t", "]"}]}], "-", 
          RowBox[{"ugto", "*", 
           RowBox[{"gto", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Activity", " ", "of", " ", "Light"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"ltn", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{"60", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Mod", "[", 
                 RowBox[{"jjj", ",", "2"}], "]"}], "\[Equal]", "1"}], ",", 
               "lta", ",", "0"}], "]"}], "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"ltn", "[", "t", "]"}]}], ")"}]}], "-", 
            RowBox[{"ltb", "*", 
             RowBox[{"ltn", "[", "t", "]"}]}]}], ")"}]}]}]}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}]}], ";", "\n", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"atwo", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
               "]"}], "[", "m", "]"}], "[", "n", "]"}], "'"}], "[", "t", 
           "]"}], "\[Equal]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", "Trnaslation", "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"tlp", "*", 
              RowBox[{"McPo", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "3"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"tlp", "*", 
              RowBox[{"McPt", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"tlr", "*", 
              RowBox[{"McRo", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"tlr", "*", 
              RowBox[{"McRt", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"PER", "-", 
             RowBox[{"CRY", " ", 
              RowBox[{"Binidng", "/", "Unbinidng"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ar"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dr", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "kk", "]"}], "[", "l", 
                    "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ar"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dr", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "k", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ar", "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "k", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "0", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dr", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ar"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dr", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "kk", "]"}], "[", "l", 
                    "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ar"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dr", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "k", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ar", "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "0", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "k", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dr", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ar"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dr", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "kk", "]"}], "[", "l", 
                    "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ar"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dr", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "k", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", 
                   RowBox[{"{", 
                    RowBox[{"2", ",", "4", ",", "5", ",", "6"}], "}"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"k", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ar", "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "0", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "k", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dr", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"PER", "-", 
             RowBox[{"CKI", " ", 
              RowBox[{"Binidng", "/", "Unbinidng"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "0",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dc", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "l",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ac", "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "0",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dc", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "l",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ac", "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "3", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "2",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dc", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "3",
                     "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "3"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ac", "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "2", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "3", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ac"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "2",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"dc", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", "3",
                     "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "3"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ac", "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "1", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "2", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dc", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"PER", "-", 
             RowBox[{"GSK3b", " ", 
              RowBox[{"Binidng", "/", "Unbinidng"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "0"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "1"}], ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], 
                 "]"}]}], "*", "agp", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dg", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", 
                   RowBox[{"l", "+", "2"}], "]"}], "[", "m", "]"}], "[", "n", 
                 "]"}], "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], 
                 "]"}]}], "*", "agp", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"dg", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "3", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "2", ",", "3"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"m", "\[Equal]", "1"}], ",", "Nf", ",", "1"}], "]"}],
                "*", "agp", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", 
                   RowBox[{"l", "-", "2"}], "]"}], "[", "m", "]"}], "[", "n", 
                 "]"}], "[", "t", "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "2", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"dg", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"PER", "-", "BMAL1", "-", 
             RowBox[{
              RowBox[{"CLOCK", "/", "NPAS2"}], " ", 
              RowBox[{"Binding", "/", "Unbinding"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "bbin"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"unbbin", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "bbin"}], "*", "Nf", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"unbbin", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "kk", "]"}], "[", 
                    "ll", "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "6"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "0", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"bbin", "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"unbbin", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"CRY", "-", "BMAL1", "-", 
             RowBox[{
              RowBox[{"CLOCK", "/", "NPAS2"}], " ", 
              RowBox[{"Binding", "/", "Unbinding"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cbbin"}], "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"uncbbin", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "cbbin"}], "*", "Nf", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"uncbbin", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "kk", "]"}], "[", "0", 
                    "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"kk", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"cbbin", "*", "Nf", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "0", "]"}], "[", "t", "]"}], 
               "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "[", "0", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{"uncbbin", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"REV", "-", "ERBs", "-", 
             RowBox[{"GSK3b", " ", 
              RowBox[{"Binding", "/", "Unbinding"}]}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ag"}], "*", 
               RowBox[{"cyrev", "[", "t", "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{
               RowBox[{"(", "dg", ")"}], "*", 
               RowBox[{"cyrevg", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"(", "dg", ")"}], "*", 
               RowBox[{"cyrevgp", "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ag"}], "*", "Nf", "*", 
               RowBox[{"revn", "[", "t", "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{
               RowBox[{"(", "dg", ")"}], "*", 
               RowBox[{"revng", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"(", "dg", ")"}], "*", 
               RowBox[{"revngp", "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "PER", " ", "Binding", " ", "Protiens", " ", "Subcellular", " ", 
             "Translocation"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "ne"}], "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}],
                 "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}],
                 "]"}], "*", "nl", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "0", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"ne", "*", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}],
                 "]"}], "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "1", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "-", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"n", "\[Equal]", "0"}], ")"}], ",", "1", ",", "0"}],
                 "]"}], "*", "nl", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"BMAL1", "-", 
             RowBox[{
              RowBox[{"CLOCK", "/", "NPAS2"}], " ", "Subcellular", " ", 
              "Translocation"}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{"nlbc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "0", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "nlbc"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Kinase", " ", "Subcellular", " ", "Translocation"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "lne"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "2"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"lne", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "1", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"PER", " ", "Phosphorylation", " ", "with", " ", "CKI"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "1"}], ")"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "hoo"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"(", 
                RowBox[{"j", "\[Equal]", "2"}], ")"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"+", "hoo"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "1", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "3"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "hto"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"hto", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"j", "-", "1"}], "]"}], "[", "k", "]"}], "[", "l",
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
              ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "PER2", " ", "Phosphorylation", " ", "with", " ", "GSK3b"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "3"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"gto", "[", "t", "]"}]}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"l", "\[Equal]", "3"}], ")"}]}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"gto", "[", "t", "]"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"j", "-", "2"}], "]"}], "[", "k", "]"}], "[", "l",
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
              ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"BMAL", "-", 
             RowBox[{
              RowBox[{"CLCOK", "/", "NPAS2"}], " ", "Phosphorylation", " ", 
              "with", " ", "GSK3b"}]}], "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{"phos", "*", 
              RowBox[{"BC", "[", "t", "]"}]}], ",", "0"}], "]"}], "+", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"CRY", " ", "Degradation"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "uro"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "urt"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "uro"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "urt"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"uro", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "1", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}],
               "+", 
              RowBox[{"urt", "*", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"x", "[", "j", "]"}], "[", "2", "]"}], "[", "l", 
                   "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"PER", " ", "Degradation"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "1"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "3"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "5"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
                  RowBox[{"(", 
                   RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", "0", ",", 
                 "1"}], "]"}]}], "*", "upu", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "2"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "4"}], ")"}], "||", 
                RowBox[{"(", 
                 RowBox[{"j", "\[Equal]", "6"}], ")"}]}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
                  RowBox[{"(", 
                   RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", "0", ",", 
                 "1"}], "]"}]}], "*", "up", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"up", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "2", ",", "6", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"nn", ",", "0", ",", "1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "1", ",", "3", ",", "2"}], "}"}]}], 
                "]"}]}], "+", 
              RowBox[{"upu", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "5", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"nn", ",", "0", ",", "1"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "1", ",", "3", ",", "2"}], "}"}]}], 
                "]"}]}]}], ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"up", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "2", ",", "6", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "2", ",", "3"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"upu", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "nn", "]"}], "[", "t", 
                  "]"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "5", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "2", ",", "3"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"nn", ",", "0", ",", "1"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"up", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "2", ",", "6", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}], "+", 
              RowBox[{"upu", "*", 
               RowBox[{"Sum", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"x", "[", "jj", "]"}], "[", "0", "]"}], "[", "ll",
                     "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}],
                  ",", 
                 RowBox[{"{", 
                  RowBox[{"jj", ",", "1", ",", "5", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"ll", ",", "0", ",", "3"}], "}"}]}], "]"}]}]}], ",",
              "0"}], "]"}], "+", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"BMAL1", "-", 
             RowBox[{
              RowBox[{"CLOCK", "/", "NPAS2"}], " ", "Degradation"}]}], "*)"}],
            "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "ubc"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "1"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"-", "ubc"}], "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", ">", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{"ubc", "*", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                  "]"}], "[", "m", "]"}], "[", "1", "]"}], "[", "t", "]"}]}], 
             ",", "0"}], "]"}], "+", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"REV", "-", 
             RowBox[{"ERBS", " ", "Degradation"}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"urev", "*", 
               RowBox[{"cyrevg", "[", "t", "]"}]}], "+", 
              RowBox[{"uprev", "*", 
               RowBox[{"cyrevgp", "[", "t", "]"}]}]}], ",", "0"}], "]"}], "+",
            "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"l", "\[Equal]", "2"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"m", "\[Equal]", "1"}], ")"}], "&&", 
              RowBox[{"(", 
               RowBox[{"n", "\[Equal]", "0"}], ")"}]}], ",", 
             RowBox[{
              RowBox[{"urev", "*", 
               RowBox[{"revng", "[", "t", "]"}]}], "+", 
              RowBox[{"uprev", "*", 
               RowBox[{"revngp", "[", "t", "]"}]}]}], ",", "0"}], "]"}]}]}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"jjj", "\[Equal]", "1"}], ",", 
       RowBox[{
        RowBox[{"athree", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"G", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"gto", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnRo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McRo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnRt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "6", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McRt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "7", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnPo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "8", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McPo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "9", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnPt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "10", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McPt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "11", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnB", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "12", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McB", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "13", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"B", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "14", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GBb", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "15", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GBRb", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "16", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"Cl", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "17", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnRev", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "18", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McRev", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "19", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrev", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "20", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revn", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "21", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrevg", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "22", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revng", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "23", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrevgp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "24", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revngp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "25", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GB", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "26", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GBR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "27", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrevp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "29", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revnp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "30", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"BC", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "33", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"Gr", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "34", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GrR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "35", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"ltn", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
           RowBox[{
            RowBox[{"McNp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "37", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnNp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "38", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"Gc", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "39", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GcR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init2", "[", 
             RowBox[{"[", "40", "]"}], "]"}]}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"afour", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "0", "]"}], 
             "\[Equal]", 
             RowBox[{"Init1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"j", "+", "1"}], ",", 
                RowBox[{"k", "+", "1"}], ",", 
                RowBox[{"l", "+", "1"}], ",", 
                RowBox[{"m", "+", "1"}], ",", 
                RowBox[{"n", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}]}], 
       ",", 
       RowBox[{
        RowBox[{"Init11", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "12", "]"}], "/.",
             "qrt2"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Init22", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"G", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GR", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"gto", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnRo", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McRo", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnRt", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McRt", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnPo", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McPo", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnPt", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McPt", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnB", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McB", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"B", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GBb", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GBRb", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"Cl", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnRev", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McRev", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"cyrev", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"revn", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"cyrevg", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"revng", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"cyrevgp", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"revngp", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GB", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GBR", "[", "12", "]"}], "/.", "qrt2"}], ",", "0", ",", 
            RowBox[{
             RowBox[{"cyrevp", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"revnp", "[", "12", "]"}], "/.", "qrt2"}], ",", "0", ",",
             "0", ",", 
            RowBox[{
             RowBox[{"BC", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"Gr", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GrR", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"ltn", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"McNp", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"MnNp", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"Gc", "[", "12", "]"}], "/.", "qrt2"}], ",", 
            RowBox[{
             RowBox[{"GcR", "[", "12", "]"}], "/.", "qrt2"}]}], "}"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"athree", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"G", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"gto", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnRo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McRo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "5", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnRt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "6", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McRt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "7", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnPo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "8", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McPo", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "9", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnPt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "10", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McPt", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "11", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnB", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "12", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McB", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "13", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"B", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "14", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GBb", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "15", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GBRb", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "16", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"Cl", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "17", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnRev", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "18", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"McRev", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "19", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrev", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "20", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revn", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "21", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrevg", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "22", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revng", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "23", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrevgp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "24", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revngp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "25", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GB", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "26", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GBR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "27", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"cyrevp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "29", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"revnp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "30", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"BC", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "33", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"Gr", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "34", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GrR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "35", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"ltn", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
           RowBox[{
            RowBox[{"McNp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "37", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"MnNp", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "38", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"Gc", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "39", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"GcR", "[", "0", "]"}], "\[Equal]", 
            RowBox[{"Init22", "[", 
             RowBox[{"[", "40", "]"}], "]"}]}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"afour", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", 
                 "]"}], "[", "m", "]"}], "[", "n", "]"}], "[", "0", "]"}], 
             "\[Equal]", 
             RowBox[{"Init11", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"j", "+", "1"}], ",", 
                RowBox[{"k", "+", "1"}], ",", 
                RowBox[{"l", "+", "1"}], ",", 
                RowBox[{"m", "+", "1"}], ",", 
                RowBox[{"n", "+", "1"}], ",", "1"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"afive", "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "GR", ",", "G", ",", "MnRo", ",", "McRo", ",", "MnRt", ",", "McRt", 
          ",", "MnPo", ",", "McPo", ",", "MnPt", ",", "McPt", ",", "MnB", ",",
           "McB", ",", "B", ",", "Cl", ",", "MnRev", ",", "McRev", ",", 
          "cyrev", ",", "revn", ",", "cyrevg", ",", "revng", ",", "cyrevgp", 
          ",", "revngp", ",", "cyrevp", ",", "revnp", ",", "GB", ",", "GBR", 
          ",", "BC", ",", "Gr", ",", "GrR", ",", "ltn", ",", "McNp", ",", 
          "MnNp", ",", "Gc", ",", "GcR", ",", "GBb", ",", "GBRb", ",", 
          "gto"}], "}"}], ",", 
        RowBox[{"Flatten", "[", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "j", "]"}], "[", "k", "]"}], "[", "l", "]"}],
              "[", "m", "]"}], "[", "n", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", "6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "0", ",", "3"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"m", ",", "0", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"qrt2", "=", 
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"Join", "[", 
         RowBox[{"aone", ",", "atwo", ",", "athree", ",", "afour"}], "]"}], 
        ",", "afive", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "12"}], "}"}], ",", 
        RowBox[{"MaxSteps", "\[Rule]", "100000"}], ",", 
        RowBox[{"MaxStepSize", "\[Rule]", "0.1"}]}], "]"}]}], ";"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.531667790049176*^9, 3.531667792340412*^9}, {
  3.531667834254127*^9, 3.531667837760825*^9}, {3.53166788094094*^9, 
  3.531667983708666*^9}, {3.531756430780747*^9, 3.531756457808593*^9}, {
  3.531757255684415*^9, 3.531757259351733*^9}, {3.556730275359823*^9, 
  3.556730284997758*^9}}]
},
WindowSize->{1440, 789},
WindowMargins->{{3, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 441, 11, 94, "Input"],
Cell[1001, 33, 233, 4, 39, "Input"],
Cell[1237, 39, 37451, 994, 658, "Input"],
Cell[38691, 1035, 60, 1, 39, "Input"],
Cell[38754, 1038, 6265, 140, 553, "Input"],
Cell[45022, 1180, 194, 4, 39, "Input"],
Cell[45219, 1186, 117410, 3036, 2368, "Input"],
Cell[162632, 4224, 177, 4, 39, "Input"],
Cell[162812, 4230, 8509, 232, 208, "Input"],
Cell[171324, 4464, 188, 4, 39, "Input"],
Cell[CellGroupData[{
Cell[171537, 4472, 479, 13, 43, "Input"],
Cell[172019, 4487, 34439, 570, 244, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[206495, 5062, 1011, 29, 43, "Input"],
Cell[207509, 5093, 33399, 553, 244, "Output"]
}, Open  ]],
Cell[240923, 5649, 362, 8, 39, "Input"],
Cell[241288, 5659, 157, 3, 39, "Input"],
Cell[241448, 5664, 837, 22, 88, "Input"],
Cell[242288, 5688, 216, 4, 39, "Input"],
Cell[242507, 5694, 143341, 3599, 2803, "Input"]
}
]
*)

(* End of internal cache information *)
